<?php

namespace AppDraply\API;

use AppDraply\API\Controllers\Webhook;
use AppDraply\Config;

class API {

	private $namespaces = [
		'webhook' => Webhook::class,
	];

	public function register() {
		add_filter( 'woocommerce_rest_api_get_rest_namespaces', [$this, 'register_namespaces'] );
	}

	public function register_namespaces( $namespaces ): array {

		foreach ( $this->namespaces as $key => $class ) {
			$namespaces['wc/v3/'. Config::$WEBHOOK_NAMESPACE][$key] = $class;
		}
		return $namespaces;
	}
}
