<?php

namespace AppDraply\API\Controllers;

use WC_REST_Controller;
use WP_Error;
use WP_REST_Server;
use AppDraply\Config;

class Webhook extends WC_REST_Controller {

	public function register_routes() {
		register_rest_route(
			'wc/v3/'. Config::$WEBHOOK_NAMESPACE,
			'/' . Config::$WEBHOOK_REST_BASE,
			[
				[
					'methods'             => WP_REST_Server::CREATABLE,
					'callback'            => [$this, 'update_connect_status'],
					'permission_callback' => [$this, 'update_connect_status_permissions_check'],
				],
			]
		);

	}

    public function update_connect_status( $request ) {
	$body_data = $request->get_body();
	$status = str_replace('status=', '', $body_data);
	if (empty($status)) {
		return new WP_Error(400 , __( 'Status is missing.', 'draply' ), ['status' => 400] );
	}

	$status = intval($status);
	update_option(Config::$OPTION_IS_CONNECTED, $status, false );

	return true;
}

	public function update_connect_status_permissions_check( $request ) {
		/*
		if ( ! wc_rest_check_manager_permissions( 'webhooks', 'create' ) ) {
			return new WP_Error( 'woocommerce_rest_cannot_create', __( 'Sorry, you are not allowed to create resources.', 'woocommerce' ), ['status' => rest_authorization_required_code()] );
		}
		*/
		return true;
	}
}
