<?php

namespace AppDraply;

use AppDraply\Admin\Settings;
use AppDraply\API\API;
use AppDraply\Auth\OAuth;

class Bootstrap {
	private $services = [
		Settings::class,
		API::class,
		OAuth::class,
	];

	public function register() {
		add_action( 'woocommerce_loaded', [$this, 'load_services'] );
	}

	public function load_services() {
		foreach ( $this->services as $service ) {
			(new $service)->register();
		}
	}
}
