<?php

namespace AppDraply;

class Config
{
	public static $APP_VERSION = '1.0.0';

	public static $APP_BASE_URL = 'https://app.draply.com';
	public static $APP_SLUG = 'draply';
	public static $APP_DOMAIN_KEY = 'draply';
	public static $APP_NAME = 'Draply';
	public static $APP_NONCE_SEED = 'draply_auth';

	public static $OPTION_NAME = 'draply_option';
	public static $APP_VERSION_NAME = 'draply_version';
	public static $OPTION_IS_CONNECTED = 'draply_option_is_connected';
	public static $WEBHOOK_NAMESPACE = 'draply/v1';
	public static $WEBHOOK_REST_BASE = 'webhook';

	public static $DEFAULT_CURRENCY = 'USD';

	public static function get($key)
	{
		$config = [
			'plugin_path'                 => plugin_dir_path(dirname(__FILE__)),
			'plugin_url'                  => plugin_dir_url(dirname(__FILE__)),
			'plugin_version'              => Config::$APP_VERSION,
			'plugin_slug'                 => Config::$APP_SLUG,
			'auth_url'                    => Config::$APP_BASE_URL . '/store',
			'check_store_connection'      => true,
			'options'                     => get_option(Config::$OPTION_NAME) ?: [],
		];

		return $config[$key];
	}
}
