<?php

defined('ABSPATH') || exit;

use AppDraply\Config;

$is_connected = $this->is_connected();

?>
<div class="draply">

    <div class="draply-header">

        <div class="draply-header-logo">

            <img src="<?php echo esc_url(Config::get('plugin_url')); ?>assets/img/draply-logo.png" style="width: 100%;">

        </div>

        <nav class="draply-header-nav">

            <ul>
                <li>
                    <a href="https://faq.draply.com/" target="_blank">
                        <?php esc_html_e('Knowledge Base', 'draply'); ?>
                    </a>
                </li>
                <li>
                    <a href="mailto:support@draply.com" target="_blank">
                        <?php esc_html_e('Contact Us', 'draply'); ?>
                    </a>
                </li>
            </ul>

        </nav>

    </div>

    <div class="draply-body">
        <div class="draply-body-top">

            <?php

            if ($is_connected) {
                include esc_url(Config::get('plugin_path')) . '/views/admin/parts/store-connected.php';
            } else {
                include esc_url(Config::get('plugin_path')) . '/views/admin/parts/store-disconnected.php';
            }

            ?>

        </div>

        <div class="draply-body-bottom">
            <h2><?php esc_html_e('Getting Started', 'draply'); ?></h2>
            <a href="https://www.youtube.com/watch?v=Mq6kOFoyEQ8" target="_blank">
                <img src="<?php echo esc_url(Config::get('plugin_url')); ?>assets/img/thumb.png" alt="<?php esc_attr_e('Getting Started', 'draply'); ?>">
            </a>
        </div>
    </div>
</div>